# MeasurementOperator

class HPS.MeasurementOperator : HPS.Operator

  Public Types

  enum DistanceMeasurementReference

    Values:

    Entity
    Body
  enum LineMeasurementPosition

    Values:

    LastPoint
    FirstPoint
    MidPoint
  enum MeasurementType

    Values:

    PointToPoint
    Line
    Angle
    Area
    Distance

  Public Functions

  void DeleteAllMeasurements ()
  override void Dispose ()
  HPS.MeasurementOperator.DistanceMeasurementReference GetDistanceMeasurementReference ()
  HPS.MeasurementOperator.LineMeasurementPosition GetLineMeasurementPosition ()
  HPS.MeasurementOperator.MeasurementType GetMeasurementType ()
  override string GetName ()
  ulong GetPrecision ()
  void GetVertexSnapping (out bool out_state, out float out_proximity)
  MeasurementOperator ()
  MeasurementOperator (HPS.MeasurementOperator in_that)
  MeasurementOperator (HPS.MouseButtons in_mouse_trigger)
  MeasurementOperator (HPS.MouseButtons in_mouse_trigger, HPS.ModifierKeys in_modifier_trigger)
  override bool OnKeyDown (HPS.KeyboardState in_state)
  override void OnModelAttached ()
  override void OnModelDetached ()
  override bool OnMouseDown (HPS.MouseState in_state)
  override bool OnMouseMove (HPS.MouseState in_state)
  override bool OnMouseUp (HPS.MouseState in_state)
  override bool OnTouchDown (HPS.TouchState in_state)
  override bool OnTouchMove (HPS.TouchState in_state)
  override bool OnTouchUp (HPS.TouchState in_state)
  override void OnViewAttached (HPS.View in_attached_view)
  override void OnViewDetached (HPS.View in_detached_view)
  void SetDistanceMeasurementReference (HPS.MeasurementOperator.DistanceMeasurementReference in_reference)
  void SetLineMeasurementPosition (HPS.MeasurementOperator.LineMeasurementPosition in_position)
  void SetMeasurementType (HPS.MeasurementOperator.MeasurementType in_measurement_type)
  void SetPrecision (ulong in_precision)
  void SetVertexSnapping (bool in_state)
  void SetVertexSnapping (bool in_state, float in_proximity)
  class MeasurementEvent : public HPS.Event

    Public Functions

    override string ClassName ()
    override HPS.Event Clone ()
    override void Dispose ()
    MeasurementEvent ()
    MeasurementEvent (HPS.Event in_event)
    MeasurementEvent (HPS.MeasurementOperator.MeasurementEvent in_that)
    MeasurementEvent (HPS.View in_view, HPS.SegmentKey in_segment_key, HPS.MeasurementOperator.MeasurementType in_measurement_type, float in_measurement_value)

    Properties

    HPS.MeasurementOperator.MeasurementType measurement_type { get; set; }
    float measurement_value { get; set; }
    HPS.SegmentKey segment_key { get; set; }
    HPS.View view { get; set; }

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating